* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  font-family: Arial, sans-serif;
  color: #333;
  line-height: 1.6rem;
  background-color: #f4f4f4ff;
  min-height: 100vh;
}

header {
  background-color: rgb(193, 191, 191);
  padding: 1rem 0;
  position: sticky;
  top: 0;
  z-index: 1000;
  width: 100%;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 20px;
}

.nav-list {
  display: flex;
  list-style: none;
}


.nav-list li {
  margin: 0 15px;
}

.nav-list li a {
  color: black;
  text-decoration: none;
  font-size: 1.1rem;
  padding: 0.5rem;
}

.menu-icon {
  display: none;
  font-size: 24px;
  color: #000000;
  cursor: pointer;
}

@media (max-width: 768px) {
  .menu-icon {
    display: block;
  }

  .nav-list {
    display: none;
    flex-direction: column;
    background-color: rgb(204, 214, 214);
    width: 100%;
  }

  .nav-list.show {
    display: flex;
    list-style: none;
  }

  .nav-list li {
    margin: 10px;
    text-align: center;
  }
}

.nav-list li a:active,
.nav-list li a:hover {
  background-color: #fff;
  border-radius: 5px;
}

.hero {
  background-color: rgb(148, 147, 147);
  color: black;
  font-size: 10px;
  text-align: center;
  padding: 100px 20px;
  flex-grow: 1;
}

.hero h1 {
  font-size: 40px;
  margin-bottom: 20px;
}

.hero p {
  font-size: 20px;
}

.content,
.contact {
  padding: 100px 20px;
  text-align: center;
  font-size: 20px;
  color: #424141;
  flex-grow: 1;
}

.content h2,
h1 {
  font-size: 40px;
  margin-bottom: 20px;
}

.content p {
  font-size: 20px;
}

.contact form {
  max-width: 600px;
  margin: 0 auto;
  text-align: left;
}

.contact form label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.contact form input,
.contact form textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid grey;
  border-radius: 6px;
  font-size: 1rem;
}

.contact form button {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: blue;
  color: black;
  border: none;
  border-radius: 10px;
  font-size: 1.1rem;
  cursor: pointer;
}

.contact form button:hover {
  background-color: red;
}

.nav-list .show {
  display: flex;
}

footer {
  background: black;
  color: white;
  text-align: center;
  width: 100%;
  margin-top: auto;
  padding: 10px;
}